Bug 214388 - missing dependency on python-urlgrabber
missing dependency on python-urlgrabber
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 07:58 EST by vvs
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 06:29:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvs 2006-11-07 07:58:56 EST
Description of problem:

createrepo can be installed without python-urlgrabber but won't work without it.

Version-Release number of selected component (if applicable):

createrepo-0.4.4-2

How reproducible:

Always

Steps to Reproduce:
1. rpm -e python-urlgrabber
2. rpm -i createrepo
3. createrepo pathtorepo
  
Actual results:

It will complain about missing urlgrabber import

Expected results:

It should verify dependency on python-urlgrabber during installation.

Additional info:

It is possible to perform minimal Fedora install from where python-urlgrabber is
missing and install createrepo later. This is how I've got this bug.
Comment 1 Paul Nasrat 2006-11-09 06:29:00 EST
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.